Package org.apache.maven.shared.model.fileset.io.xpp3

# Interface FileSetXpp3Reader.ContentTransformer

Enclosing class:
  `FileSetXpp3Reader`

public static interface FileSetXpp3Reader.ContentTransformer

## Method Summary

Modifier and Type
Method
Description
`String`
`transform(String source, String fieldName)`
Interpolate the value read from the xpp3 document

## Method Details

### transform

String transform(String source, String fieldName)
Interpolate the value read from the xpp3 document

Parameters:
  `source` - The source value
  `fieldName` - A description of the field being interpolated. The implementation may use this to log stuff.
Returns:
  The interpolated value.